# std::__declval_protector< _Tp > Struct Template Reference

declval More...

List of all members.

## Static Public Member Functions

- static add_rvalue_reference
  < _Tp >::type __delegate ()

## Static Public Attributes

- static const bool __stop

## Detailed Description

### template<typename _Tp>
struct std::__declval_protector< _Tp >

declval

Definition at line 616 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits